Subject: bug#3755: bug#3754: bug#3755: 23.0.95; Wish: please provide kill-whole-visual-line function

From: Stefan Kangas <[email-masked]>
Date: Wed, 18 Nov 2020 18:31:26 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> pent <[email-masked]> writes:
>
>> The new Emacs provides function kill-visual-line, which is bound to
>> C-k in Visual Lines Mode. It would be nice if Emacs also provided
>> function kill-whole-visual-line similar to kill-whole-line, bound to
>> C-S-backspace in Visual Lines Mode:
>>
>> (kill-whole-visual-line &optional arg)
>
> (I'm going through old bug reports that unfortunately didn't get any
> response at the time.)
>
> That seems like a logical addition, but I wonder whether there may be
> users who are used to `C-S-backspace' killing the entire physical line
> in visual line mode, too.
>
> The utility of having that keystroke killing just the visual line seems
> limited -- that functionality is already as `C-a C-k', which is about as
> many keys, while having `C-S-backspace' do that it does now seems more
> useful.
>
> So I'm inclined to not alter the behaviour here.  Anybody got an
> opinion?

Yeah, I tend to agree with you.  So is this a wontfix?